stages:
- prepare
- build

variables:
  IMAGE_NAME: $CI_REGISTRY_IMAGE
  KANIKO_IMAGE: gcr.io/kaniko-project/executor:v1.14.0-debug
  VARIABLES_FILE: ./variables.txt  # "." is required for image that have sh not bash

get_version:
  stage: prepare
  tags:
  - docker
  only:
  - main
  script:
  - . .version
  - echo "export VERSION=$VERSION" > $VARIABLES_FILE
  artifacts:
    paths:
    - $VARIABLES_FILE

build:
  stage: build
  image:
    name: $KANIKO_IMAGE
    entrypoint: [""]
  tags:
  - docker
  only:
  - main
  script:
  - source $VARIABLES_FILE
  - /kaniko/executor
    --context "${CI_PROJECT_DIR}"
    --dockerfile "${CI_PROJECT_DIR}/docker/Dockerfile"
    --destination "${IMAGE_NAME}:${VERSION}"

